关于我们

质量为本、客户为根、勇于拼搏、务实创新

< 返回新闻公共列表

apache 2.2如何升级到2.4

发布时间:2021-04-02 13:50:38

这篇文章是关于如何将apache 2.2升级到2.4的。微子网络觉得很实用,就分享给大家参考,跟着微子网络看了看。

具体步骤如下:

1.官网下载Apache2.4

2.将下载的Apache提取到环境目录中进行匹配

3.在命令行输入apache下的bin目录,输入httpd -k install

4.安装后出现错误“服务器根目录必须是有效目录”

解决方法:修改httpd . conf define srvroot ' d :/myenv/Apache 24 '并将其更改为绝对路径

5.卸载以前的服务并重新安装httpd -k卸载httpd -k安装

6.错误“make _ sock无法绑定到地址443”

解决方案:修改Apache 24 \ conf \ extra \ httpd-SSL . conf将443替换为444

修改Apache 24 \ conf \ extra \ httpd-ahssl . conf将443替换为444

7.Apache启动失败。使用命令httpd . exe-w-n ' Apache 2.4 '-k start查看错误原因

这里一定要注意Apache和php的版本。一开始我下载Apache是V14,php是V11。Apache和php的集成一直失败,所以我改成了

Httpd-2.4.27-x64-vc14.zip和php-7.1.8-Win32-VC14-x64.zip

感谢阅读!这篇关于“如何将apache 2.2升级到2.4”的文章已经在这里分享了。希望以上内容能帮助大家学到更多的知识。如果你觉得文章好,可以分享给更多人看!


/template/Home/Zkeys/PC/Static